<script>

export default {
    props: ['apiKey'],

    data() {
        return {
            apiKey: this.apiKey,
            movie: Object,
            media_type: this.value,
            error: false
        };
    },

    methods: {
        async getData() {
            axios.get("https://api.themoviedb.org/3/trending/movie/" + this.media_type + '?api_key=' + this.apiKey)
                .then(res=>{
                    this.movie = res.data.results
                    this.error = false
                }).catch(error=> {
                this.error = true
            })
        },

    },
};
</script>

<script setup>
import AppLayout from "@/Layouts/AppLayout.vue";
import {reactive} from "vue";


</script>

<template>
    <div id="IndexComponent">
    <AppLayout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Movies
            </h2>

            <form @submit.prevent="getData" class="w-full max-w-sm">
                <div class="flex items-center border-b border-teal-500 py-2">
                    <input v-model="media_type"
                           class="appearance-none bg-transparent border-none w-full text-gray-700 mr-3 py-1 px-2 leading-tight focus:outline-none"
                           type="text" placeholder="day or week" aria-label="Full name">
                    <button type="submit"
                            class="flex-shrink-0 bg-teal-500 hover:bg-teal-700 border-teal-500 hover:border-teal-700 text-sm border-4 text-white py-1 px-2 rounded">
                        OK
                    </button>
                </div>
            </form>
            <div style="color:#e50000" v-show="error"> Wrong input use week or day</div>
        </template>


        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="container my-12 mx-auto px-4 md:px-12">
                    <div class="flex flex-wrap -mx-1 lg:-mx-4">

                        <!-- Column -->
                        <div id="movie-list" :key="index" v-for="(movie, index) in movie"
                             class="my-1 px-1 w-full md:w-1/2 lg:my-4 lg:px-4 lg:w-1/3">

                            <!-- Article -->
                            <article class="overflow-hidden rounded-lg shadow-lg">

                                <a href="#">
                                    <img alt="Placeholder" class="block h-auto w-full"
                                         :src="`https://image.tmdb.org/t/p/original${movie.poster_path}`">
                                </a>

                                <header class="flex items-center justify-between leading-tight p-2 md:p-4">
                                    <h1 class="text-lg">
                                        <a class="no-underline hover:underline text-black" :href="'/movie/' + movie.id">
                                            {{ movie.title }}
                                        </a>
                                    </h1>
                                    <p class="text-grey-darker text-sm">
                                        {{ movie.release_date }}
                                    </p>
                                </header>


                            </article>
                            <!-- END Article -->

                        </div>


                    </div>
                </div>


            </div>
        </div>

    </AppLayout>
    </div>
</template>



